#### PyKDE - Python Bindings for KDE

# class KABC.Plugin |
Table of contents
Modules
kabc Classes
All Classes

Module | kabc
Class | KABC.Plugin
Inherits |

### methods

- Plugin ()

  returns a Plugin instance
  In versions KDE 3.1.0 and above only

- descriptionLabel ()

  returns (QString)
  In versions KDE 3.1.0 and above only

- nameLabel ()

  returns (QString)
  In versions KDE 3.1.0 and above only

- setDescriptionLabel (label)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  label | QString |

- setNameLabel (label)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  label | QString |

- setType (type)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  type | QString |

- type ()

  returns (QString)
  In versions KDE 3.1.0 and above only